var RUN_AS_DEBUG = false;
var serverIP = "http://api.luojiaoke.com/ds2015.svc";
var DomainName = "http://api.luojiaoke.com";
//var serverIP = "http://120.26.129.130:1112/ds2015.svc";
//var DomainName = "http://120.26.129.130:1112";

function getdegree(value) { //此处数据库设计错搞成字符串型
	if(value == null)
		return "";
	switch(value) {
		case '0':
			return '小学';
		case '1':
			return "初中";
		case '2':
			return '高中或者职高';
		case '3':
			return '大学专科';
		case '4':
			return '本科';
		case '5':
			return '硕士';
		case '6':
			return '博士';
	}
}

function getincome(value) {
	if(value == null)
		return "";
	switch(value) {
		case 0:
			return '5000元以下'
		case 1:
			return '5000-10000元'
		case 2:
			return '10000-20000元'
		case 3:
			return '20000-30000元'
		case 4:
			return '30000元以上'

	}
}

function getstay(value) {
	if(value == null)
		return "";
	switch(value) {
		case 0:
			return '租房';
		case 1:
			return '自有房产';
		case 2:
			return '和父母一起住'
	}
}

function getwines(value) {
	if(value == null)
		return "";
	switch(value) {
		case 0:
			return '滴酒不沾';
		case 1:
			return '应酬才喝酒';
		case 2:
			return '比较喜欢喝';
	}
}

function getcig(value) {
	if(value == null)
		return "";
	switch(value) {
		case 0:
			return '反感抽烟';
		case 1:
			return '应酬才抽烟';
		case 2:
			return '有点瘾';
	}
}

function getstatus(value) {
	if(value == null)
		return "";
	switch(value) {
		case 0:
			return '离异';
		case 1:
			return '丧偶';
		case 2:
			return '分居';
		case 3:
			return '未婚';
	}
}

// 函数参数必须是字符串，因为二代身份证号码是十八位，而在javascript中，十八位的数值会超出计算范围，造成不精确的结果，导致最后两位和计算的值不一致，从而该函数出现错误。
// 详情查看javascript的数值范围
function checkIDCard(idcode) {
	// 加权因子
	var weight_factor = [7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2];
	// 校验码
	var check_code = ['1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2'];

	var code = idcode + "";
	var last = idcode[17]; //最后一个

	var seventeen = code.substring(0, 17);

	// ISO 7064:1983.MOD 11-2
	// 判断最后一位校验码是否正确
	var arr = seventeen.split("");
	var len = arr.length;
	var num = 0;
	for(var i = 0; i < len; i++) {
		num = num + arr[i] * weight_factor[i];
	}

	// 获取余数
	var resisue = num % 11;
	var last_no = check_code[resisue];

	// 格式的正则
	// 正则思路
	/*
	第一位不可能是0
	第二位到第六位可以是0-9
	第七位到第十位是年份，所以七八位为19或者20
	十一位和十二位是月份，这两位是01-12之间的数值
	十三位和十四位是日期，是从01-31之间的数值
	十五，十六，十七都是数字0-9
	十八位可能是数字0-9，也可能是X
	*/
	var idcard_patter = /^[1-9][0-9]{5}([1][9][0-9]{2}|[2][0][0|1][0-9])([0][1-9]|[1][0|1|2])([0][1-9]|[1|2][0-9]|[3][0|1])[0-9]{3}([0-9]|[X])$/;

	// 判断格式是否正确
	var format = idcard_patter.test(idcode);

	// 返回验证结果，校验码和格式同时正确才算是合法的身份证号码
	return last === last_no && format ? true : false;
}

function ChangeDateFormat(jsondate) {
	if(!jsondate) return '';
	jsondate = jsondate.replace("/Date(", "").replace(")/", "");
	if(jsondate.indexOf("+") > 0) {
		jsondate = jsondate.substring(0, jsondate.indexOf("+"));
	} else if(jsondate.indexOf("-") > 0) {
		jsondate = jsondate.substring(0, jsondate.indexOf("-"));
	}

	var date = new Date(parseInt(jsondate, 10));
	var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
	var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
	return date.getFullYear() + "-" + month + "-" + currentDate + " " + (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ":" +
		(date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
}

function compdateNow(jsondate) {

	var date = ChangeDateFormat(jsondate);
	//console.log('date:'+date);

	var nowdate = new Date();
	var month = nowdate.getMonth() + 1 < 10 ? "0" + (nowdate.getMonth() + 1) : nowdate.getMonth() + 1;
	var currentDate = nowdate.getDate() < 10 ? "0" + nowdate.getDate() : nowdate.getDate();
	var curdate = nowdate.getFullYear() + "-" + month + "-" + currentDate + " " + (nowdate.getHours() < 10 ? '0' + nowdate.getHours() : nowdate.getHours()) + ":" +
		(nowdate.getMinutes() < 10 ? '0' + nowdate.getMinutes() : nowdate.getMinutes()) + ":" + (nowdate.getSeconds() < 10 ? '0' + nowdate.getSeconds() : nowdate.getSeconds());

	//console.log('curdate:'+curdate);
	//console.log(date>=curdate);
	return date >= curdate;

}

//需要传递当前的版本
function checkUpdate(wgtVer, isauto) {

	plus.nativeUI.showWaiting("检测更新...");
	mui.ajax(serverIP + '/upgrade', {
		dataType: "json",
		type: 'get',
		data: {
			strNowVer: wgtVer,
		},
		success: function(data) {
			plus.nativeUI.closeWaiting();
			if(data['d'] != "") {
				//可以升级
				plus.nativeUI.confirm("检查到当前版本有最新更新，下载升级？",
					function(event) {
						if(event.index == 0) {
							console.log('下载地址：' + DomainName + data['d'])
							downWgt(DomainName + data['d']); //下载更新版的地址
						}
					}, '系统消息', ['马上升级', '下次再说']);
			} else {
				if(!isauto) {
					plus.nativeUI.toast("当前是最新版本，不用更新！");
				}
			}
		},
		error: function(xhr, error) {
			plus.nativeUI.closeWaiting();
			plus.nativeUI.toast('检测更新失败！');
		}
	});
}
// 下载wgt文件

function downWgt(wgtUrl) {
	plus.nativeUI.showWaiting("下载更新文件...");
	plus.downloader.createDownload(wgtUrl, {
		filename: "_doc/update/"
	}, function(d, status) {
		if(status == 200) {
			//console.log("下载wgt成功："+d.filename);
			installWgt(d.filename); // 安装wgt包
		} else {
			//console.log("下载wgt失败！");
			plus.nativeUI.alert("下载更新失败！");
		}
		plus.nativeUI.closeWaiting();
	}).start();
}
// 更新应用资源  
function installWgt(path) {
	plus.nativeUI.showWaiting("安装更新文件...");
	plus.runtime.install(path, {}, function() {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.alert("应用资源更新完成！", function() {
			plus.runtime.restart();
		});
	}, function(e) {
		plus.nativeUI.closeWaiting();
		plus.nativeUI.alert("安装更新文件失败[" + e.code + "]：" + e.message);
	});
}